The Molecular Graphics Laboratory Forum

AutoDock, AutoLigand, MGLTools, Vina, PyRx and more.
It is currently Tue May 22, 2018 6:03 pm

All times are UTC




Post new topic Reply to topic  [ 4 posts ] 
Author Message
PostPosted: Thu May 02, 2013 10:51 am 
Offline
Millimolar User
Millimolar User
User avatar

Joined: Sat Apr 06, 2013 7:02 am
Posts: 3
Dear All,
I am trying to install ePMV on cinema 4D demo version. I have followed the installation instructions for 32 bit system. However, when I open c4d, no plugins are loaded. The console shows the following error: Can someone please help me with this. Any suggestions will be appreciated.

Traceback (most recent call last):
File "'epmv_c4d_plugin.pyp'", line 46, in <module>
File "C:\Python27\Lib\os.py", line 398, in <module>
import UserDict
File "C:\Python27\Lib\UserDict.py", line 84, in <module>
_abcoll.MutableMapping.register(IterableUserDict)
File "C:\Python27\Lib\abc.py", line 109, in register
if issubclass(subclass, cls):
File "C:\Python27\Lib\abc.py", line 184, in __subclasscheck__
cls._abc_negative_cache.add(subclass)
File "C:\Python27\Lib\_weakrefset.py", line 84, in add
self.data.add(ref(item, self._remove))
TypeError: cannot create weak reference to 'classobj' object
Traceback (most recent call last):
File "'epmv_synchro.pyp'", line 5, in <module>
File "C:\Python27\Lib\os.py", line 398, in <module>
import UserDict
File "C:\Python27\Lib\UserDict.py", line 84, in <module>
_abcoll.MutableMapping.register(IterableUserDict)
File "C:\Python27\Lib\abc.py", line 109, in register
if issubclass(subclass, cls):
File "C:\Python27\Lib\abc.py", line 184, in __subclasscheck__
cls._abc_negative_cache.add(subclass)
File "C:\Python27\Lib\_weakrefset.py", line 84, in add
self.data.add(ref(item, self._remove))
TypeError: cannot create weak reference to 'classobj' object
Traceback (most recent call last):
File "'autoPack_plugin.pyp'", line 71, in <module>
File "C:\Python27\Lib\os.py", line 398, in <module>
import UserDict
File "C:\Python27\Lib\UserDict.py", line 84, in <module>
_abcoll.MutableMapping.register(IterableUserDict)
File "C:\Python27\Lib\abc.py", line 109, in register
if issubclass(subclass, cls):
File "C:\Python27\Lib\abc.py", line 184, in __subclasscheck__
cls._abc_negative_cache.add(subclass)
File "C:\Python27\Lib\_weakrefset.py", line 84, in add
self.data.add(ref(item, self._remove))
TypeError: cannot create weak reference to 'classobj' object


Top
 Profile  
 
PostPosted: Thu May 02, 2013 5:17 pm 
Offline
Picomolar User
Picomolar User
User avatar

Joined: Wed Apr 22, 2009 2:08 am
Posts: 235
Hi,

I dont think the problem comes from ePMV, but rather from your system. You have version of Python installed (2.7) that is incompatible with the one installed by default with Cinema4D (2.6). So you need to hide this Python from Cinema4D. Check your environment variable and verify that the PYTHONPATH variable exist and point to C:\Python27, then remove it.

Ludo


Top
 Profile  
 
PostPosted: Fri May 03, 2013 6:07 am 
Offline
Millimolar User
Millimolar User
User avatar

Joined: Sat Apr 06, 2013 7:02 am
Posts: 3
Thanks. I removed PYTHONPATH variable. But now I get the following error. Can someone please help me with this?
C:\Users\Imtech\AppData\Roaming\MAXON\CINEMA 4D R14 Demo_E152C24E\plugins\ePMV\mgl32\MGLToolsPckgs
('getUIClass ', 'c4d')
Traceback (most recent call last):
File "'epmv_c4d_plugin.pyp'", line 108, in <module>
File "C:\Users\Imtech\AppData\Roaming\MAXON\CINEMA 4D R14 Demo_E152C24E\plugins\ePMV\mgl32\/MGLToolsPckgs\ePMV\epmvGui.py", line 22, in <module>
import ePMV.pmv_dev.APBSCommands_2x as APBS
File "C:\Users\Imtech\AppData\Roaming\MAXON\CINEMA 4D R14 Demo_E152C24E\plugins\ePMV\mgl32\/MGLToolsPckgs\ePMV\pmv_dev\APBSCommands_2x.py", line 66, in <module>
from Pmv.mvCommand import MVCommand
File "C:\Users\Imtech\AppData\Roaming\MAXON\CINEMA 4D R14 Demo_E152C24E\plugins\ePMV\mgl32\/MGLToolsPckgs\Pmv\mvCommand.py", line 18, in <module>
from ViewerFramework.VFCommand import Command, CommandGUI, \
File "C:\Users\Imtech\AppData\Roaming\MAXON\CINEMA 4D R14 Demo_E152C24E\plugins\ePMV\mgl32\/MGLToolsPckgs\ViewerFramework\VFCommand.py", line 30, in <module>
import os, types, string, Tkinter,Pmw, warnings #, webbrowser
ImportError: No module named Tkinter
('plugin in C4d file : ', 'C:\\Users\\Imtech\\AppData\\Roaming\\MAXON\\CINEMA 4D R14 Demo_E152C24E\\plugins\\upy_autoPack\\autoPack_plugin.pyp')
('getUIClass ', 'c4d')
('getUIClass ', 'c4d')
helper in Ingredient is None
None
None
<c4d.plugins.GeResource object at 0x0C5B4410>
C:\Users\Imtech\AppData\Roaming\MAXON\CINEMA 4D R14 Demo_E152C24E\plugins\upy_autoPack\
('ok', (<c4d.plugins.GeResource object at 0x0C5B4410>, False, 'C:\\Users\\Imtech\\AppData\\Roaming\\MAXON\\CINEMA 4D R14 Demo_E152C24E\\plugins\\upy_autoPack\\'))
('class', 'command')
('done', True)

Amin


Top
 Profile  
 
PostPosted: Fri Jul 19, 2013 10:41 pm 
Offline
Picomolar User
Picomolar User
User avatar

Joined: Wed Apr 22, 2009 2:08 am
Posts: 235
The latest installer only carry the 64bits version of our plugin for Cinema4D r14.
Use instead the standalone package and follow the instruction from here :
http://epmv.scripps.edu/download-install-free/perhost

Ludo


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
POWERED_BY
Translated by MaĆ«l Soucaze © 2009 phpBB.fr